通测工作室
通测工作室 - 测量工程师

性别: 上海 - 上海市 注册于 2018-11-30

没事就研究一下CAD的二次开发,让测量绘图效率提高,偷懒也必须专业。

向TA求助
40金币数
465 经验值
12个粉丝
主页被访问 3531 次

最近动态

2020-10-07 17:35 发起提问

2020-05-14 19:23 发起提问

2019-08-24 22:10 回答问题

问的问题描述不是很清楚。 以我的理解是,问者 是想在CAD中提取高程点数据(点名,X,Y,Z) ,但实际他只能做到 提取 (X,Y,Z),点名部分有也是顺序号,非图面的测点编号。 所以达不到理想效果。CASS的 ZDH 图层中 文字和点是分开的,不同与GCD 图层 原点和文字是一个参考块(一个整体),如果要提取,可以采用提取文字的坐标值,然后加一个常数进行纠正。

2019-08-24 22:02 回答问题

路基横断面线的提取是需要单独的 插件 (CAD二次开发)才能实现的,利用程序可以点击白色断面线,选择一个中桩基点做参考的点,将距离和高程计算出来,输出到文本。

2019-03-01 21:31 发表了文章

2019-01-02 11:08 关注了问题

2018-12-06 19:39 发表了文章

2018-12-06 19:15 发表了文章

2018-12-05 09:42 回答问题

;;;----2015/6/1--修改 BY  QQ: 2135405144 (vl-load-com) (prompt "\n批量提取多段线(pline,lwpline)坐标,加载命令:tqzb。")  ;;;-----图面绘制编号--输出为测量坐标系------------ (defun C:tqzb (/ ss en ii ptb no pz)   (vl-load-com)   (setq cm (getvar "cmdecho"))   (setvar "cmdecho" 0)

2018-12-01 23:16 回答问题

(defun c:TQZB() (princ "\n选择所需输出的点或文字:") (setq ss (ssget ));;选取坐标点 (setq n (sslength ss ));计算坐标点数量 (setq ff (open (getfiled "文件保存为" "f:/" "dat" 1) "w"));保存路径 (setq i 0) (repeat n (setq spt (ssname ss i )) (setq ept (entget spt)) (if (= (cdr (assoc